View Issue Details

IDProjectCategoryView StatusLast Update
0008270mantisbtroadmappublic2017-06-11 13:44
Reporterruslan Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status newResolutionopen 
Product Version1.1.0a4 
Summary0008270: Roadmap must be able work with Task/Subtasks
Description

WE can in Mantis setup relationship between issues. Parent and its childs. GREAT!

But this feature will be even more great if Raoadmap will respect it.
If this happens then Roadmap will become almost true Project Managment tool :-)

So what I dream about is:

  • Roadmap should show issues not in linear list only,
    but as tree when Parent tasks have sub-tasks intended right under subtree.

  • We must be able collaps/expand subtrees

  • We must be able see PROGRESS for each such PARENT task.

Tagsproject_management

Relationships

related to 0022960 new Request: "Follows" relationship 
child of 0008306 new Ruslan's Vision: PUSH MANTIS to Project Maagment. 

Activities

jreese

jreese

2007-08-17 17:52

reporter   ~0015447

I have already implemented the majority of this request in 1.1.0a4. You can check it out in action here if you scroll down far enough on either the changelog or roadmap pages.

I don't think collapsible trees are really necessary right now, and I'm not quite sure what you mean on the third point. Care to explain a bit further?

ruslan

ruslan

2007-08-17 20:00

reporter   ~0015449

I use 1.1.0 a4.... Okay I will check trees tomorrow.
Yes I agree that at least to see EXPANDED tree is already big progress.

Third point is found in e.g. dotProject.
Please see attached page.

Note that in dotProject each ISSUE have yet field "PROGRESS", with menu 0, 10%, 20%, ... 100%.
Is this hard implement for Mantis? Of course NO! :-)

Now lets look on TREE of issus of DT. Note that each issue has on left side column that show PROGRESS. And note that PARENT node has also PROGRESS which is CALCULATED from child nodes.
Is this possible implement for Mantis? YES OF COURSE! :-)

2007-08-17 20:01

 

Picture 2(2).png (288,293 bytes)   
Picture 2(2).png (288,293 bytes)   
ruslan

ruslan

2007-08-18 08:50

reporter   ~0015452

See also

http://www.mantisbt.org/forums//viewtopic.php?p=9827#9827

jreese

jreese

2007-08-18 10:25

reporter   ~0015453

We have added time tracking to the 1.1.0a3 version, so perhaps that could be extended in the future to be more complete, calculate estimated progress, etc for each issue. Then it could also be used for calculating progress for projects based on more than just % resolved. But for now, I think this might need to be put on hold, since our current changelog/roadmap system is just plain text, while a system you are proposing it much more highly detailed, and would require a complete rework of the changelog/roadmap output.

ruslan

ruslan

2007-08-18 11:20

reporter   ~0015454

Hmm, I am not agree. Look.

1) yes you have add Time Tracking in a3. But it is useless for our team. We do not care about 4 or 6 hours developer have spend. We want see TOTAL progress for all project, e.g. as 68% -- and Mantis already do this. But also we want see progress of some PARENT task which has N subtasks.

  So PROGRESS field is very different thing comparing to ETA or Time Tracking.

2) Yes I see that you use plain text, and it is POSSIBLE do what I ask for in this format.
Look, you have now:

  • 0002582: [SQL] [NEW] SHOW STATUS command. - new.
    • 0002583: [Other] [NEW] Database Objects must get ... (ruslan) - resolved.
    • 0002584: [Docs] Add into wiki. - new

and we can have instead

[ 50%] - 0002582: [SQL] [NEW] SHOW STATUS command. - new.
[100%] - 0002583: [Other] [NEW] Database Objects must get ... (ruslan) - resolved.
[ 0%] - 0002584: [Docs] Add into wiki. - new

Issue History

Date Modified Username Field Change
2007-08-16 05:31 ruslan New Issue
2007-08-17 17:52 jreese Note Added: 0015447
2007-08-17 20:00 ruslan Note Added: 0015449
2007-08-17 20:01 ruslan File Added: Picture 2(2).png
2007-08-18 08:50 ruslan Note Added: 0015452
2007-08-18 10:25 jreese Note Added: 0015453
2007-08-18 11:20 ruslan Note Added: 0015454
2007-08-24 12:57 jreese Relationship added child of 0008306
2011-04-19 04:37 tandler Tag Attached: project_management
2017-06-11 13:44 atrol Relationship added related to 0022960